/*
 * @package     mod_msg_rmf
 * @version     1.0.4
 * @author      Vladislav Tsygankov
 * @copyright   Copyright (c) 2023 MSGroup. All rights reserved.
 * @license     GNU/GPL license: https://www.gnu.org/copyleft/gpl.html
 * @link        https://msgru.com/
 */

(() => {
  "use strict";

window.MSGRMFilter = {
  ajaxSubmit: function ajaxSubmit(event) {
    event.preventDefault();
    var ajaxProducts = document.querySelector('[data-radicalmart-ajax="products"],[radicalmart-ajax="products"]');
    if (ajaxProducts) {
      var form = false;
      if (event.target.tagName.toLowerCase() === 'form') {
        form = event.target;
      } else {
        form = event.target.closest('form');
      }
      if (form) {
        if (event.target.tagName.toLowerCase() === 'form') {
          event.preventDefault();
        }
        var loading = document.querySelector('[radicalmart-ajax="loading"], [data-radicalmart-ajax="loading"]');
        if (loading) {
          loading.style.display = '';
        }
        var formData = new FormData(form);
        formData.set('tmpl', 'radicalmart_ajax');
        var url = form.getAttribute('action');
        if (url.indexOf('?') === -1) {
          url += '?';
        }
        url += decodeURI(new URLSearchParams(formData).toString());
        Joomla.request({
          url: url,
          method: 'GET',
          onSuccess: function onSuccess(response) {
            var newHtml = document.createElement('div');
            newHtml.innerHTML = response;
            newHtml.querySelectorAll('[radicalmart-ajax], [data-radicalmart-ajax]').forEach(function (replace) {
              var selector = replace.getAttribute('radicalmart-ajax');
              if (!selector) selector = replace.getAttribute('data-radicalmart-ajax');
              if (selector) {
                var htmlSelector = '[radicalmart-ajax="' + selector + '"]',
                  search = document.querySelector(htmlSelector);
                if (!search) {
                  htmlSelector = '[data-radicalmart-ajax="' + selector + '"]';
                  search = document.querySelector(htmlSelector);
                }
                if (search) {
                  var innerHtml = replace.innerHTML;
                  innerHtml = innerHtml.replace(new RegExp('tmpl=radicalmart_ajax', 'g'), '');
                  search.innerHTML = innerHtml;
                  if (selector === 'products') {
                    try {
                      window.RadicalMartCart().loadActions(htmlSelector);
                    } catch (e) {}
                  }
                }
              }
            });
            var pageTitle = newHtml.querySelector('#pageTitle').getAttribute('content'),
              pageUrl = newHtml.querySelector('#pageUrl').getAttribute('content');
            if (pageTitle) {
              document.title = pageTitle;
              window.history.pushState('FormData', pageTitle, pageUrl);
            }
            if (loading) {
              loading.style.display = 'none';
            }
          },
          onError: function onError(e) {
            if (e.message && e.message !== '' && e.message !== 'Request aborted') {
              console.error(e.message);
            }
            if (loading) {
              loading.style.display = 'none';
            }
          }
        });
      }
    }
  }
};
window.addEventListener('popstate', function (e) {
  window.location.href = location.href;
});
})()
;